Google Reader source doesn't work

Bug #597532 reported by Alexey Kotlyarov on 2010-06-23
68
This bug affects 12 people
Affects Status Importance Assigned to Milestone
liferea (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned
Jaunty
Undecided
Unassigned
Karmic
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned

Bug Description

Binary package hint: liferea

Since today, Google Reader feed source doesn't update anymore, asking for username/password infinitely. Here's a transcript of Liferea talking to Reader APIs, showing responses like 401 Client Error and 404 Not Found.

AJB (andrew-teledesign) wrote :

If you look in the Google Reader support area you will find this posting from Google Staff:

http://www.google.com/support/forum/p/reader/thread?tid=5698d3dc3cfa4470&hl=en

If you trace down you will note that the change mentioned was finally applied yesterday.

I've been through the Liferea release notes and can find no reference to this change, which means I suspect liferea haven't done what is required - and this would explain the problem we are both seeing.

I've raised a bug on Liferea support - you can find details here:

https://sourceforge.net/tracker/?func=detail&aid=3019939&group_id=87005&atid=581684

It might be helpful if other people affected were to comment there.

Changed in liferea (Ubuntu):
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package liferea - 1.6.3-1ubuntu2

---------------
liferea (1.6.3-1ubuntu2) maverick; urgency=low

  * debian/patches/google-reader-auth.patch: fix Google reader
    authentication (LP: #597532)
 -- Marc Deslauriers <email address hidden> Fri, 25 Jun 2010 14:46:11 -0400

Changed in liferea (Ubuntu Maverick):
status: Confirmed → Fix Released
Changed in liferea (Ubuntu Lucid):
status: New → Confirmed
Geek87 (geek87) wrote :

Hi!

I'd like to know if the fix will be backported to Lucid?

Bye!

AJB (andrew-teledesign) wrote :

The fix in 1.6.3 was for a different problem.

See The Comment on 2010-06-23 15:17:55 UTC on:

http://sourceforge.net/tracker/index.php?func=detail&aid=3019939&group_id=87005&atid=581684

However I see there is a fix for this now. See:

http://liferea.blogspot.com/2010/06/google-reader-authentication-problem.html

and

http://sourceforge.net/news/?group_id=87005&id=288748

If this fix going to be applied to Lucid ?

Marc Deslauriers (mdeslaur) wrote :

SRU Request for Lucid:

Impact: Google changed how third party authentication works. Liferea users all of a sudden can't authenticate to Google Reader anymore, breaking their configuration.

This has been addressed by backporting the relevant commit from the new liferea version. A second commit was also needed for the authentication dialog to work correctly. A minimal change debdiff is attached.

John Dong (jdong) wrote :

Hi Marc,

The patch (and upload in -proposed) looks good, ACK from me!

Accepted liferea into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in liferea (Ubuntu Lucid):
status: Confirmed → Fix Committed
tags: added: verification-needed
AJB (andrew-teledesign) wrote :

Package updated as proposed. And Liferea now seems to authenticate with Google just fine again.

Also tested all basic functions including reading items, opening items both within liferea and externally and integration with Gnome.

All seems to work just fine here.

Many thanks.

Martin Pitt (pitti) on 2010-07-07
tags: added: verification-done
removed: verification-needed
Geek87 (geek87) wrote :

Same here: everything seems to work well.

Thanks a lot!

matze (matzex) wrote :

Why needs the release of the fix so a lot days?
The fix works, but nobody relese this?!?

Please release it now! I and a lot of other people use Liferea in Lucid and older Versions, but nobody can use it whith Google reader.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package liferea - 1.6.2-1ubuntu6.1

---------------
liferea (1.6.2-1ubuntu6.1) lucid-proposed; urgency=low

  * debian/patches/google-reader-pass.patch: fix never ending password
    prompt for Google Reader
  * debian/patches/google-reader-auth.patch: fix Google reader
    authentication (LP: #597532)
 -- Marc Deslauriers <email address hidden> Fri, 02 Jul 2010 08:16:21 -0400

Changed in liferea (Ubuntu Lucid):
status: Fix Committed → Fix Released
JC Hulce (soaringsky) wrote :

Thank you for taking the time to report this bug. This issue has been fixed in newer versions of Ubuntu, and Jaunty/ Karmic are EOL. Thus, I am closing this bugtask.

Changed in liferea (Ubuntu Jaunty):
status: New → Invalid
Changed in liferea (Ubuntu Karmic):
status: New → Invalid
Adolfo Jayme (fitojb) on 2014-01-08
Changed in liferea (Ubuntu Hardy):
status: New → Won't Fix
Changed in liferea (Ubuntu Jaunty):
status: Invalid → Won't Fix
Changed in liferea (Ubuntu Karmic):
status: Invalid → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.